package com.bankaudit.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintRiskWeightage;

public interface MaintRiskWeightageService {
	
void createMaintRiskWeightage(MaintRiskWeightage maintRiskWeightage)throws Exception;
	
	void updateMaintRiskWeightage(MaintRiskWeightage maintRiskWeightage);
	
	MaintRiskWeightage getRiskWeightageByCodeAndType(Integer legalEntityCode,String riskWeightageCode,
			String riskWeightageType,String status);
	
	List<MaintRiskWeightage> getRiskWeightageByType(Integer legalEntityCode ,String riskWeightageType);
	
	DataTableResponse getAllMaintRiskWeightage(String search, Integer orderColumn, String orderDirection, Integer page,
			Integer size,Integer legalEntityCode);
	
	Boolean isMaintRiskWeightage(Integer legalEntityCode, String riskWeightageCode, String riskWeightageType);
	
	Boolean validateScore(MaintRiskWeightage maintRiskWeightage);

}
